
function infantry_powersuit_terminal_init(e)
Include ("suit huds\\infantry_powersuit.lua")
end



function infantry_powersuit_terminal_main(e)
 
 
 
 PlayerDX = g_Entity[e]['x'] - g_PlayerPosX;
 
 PlayerDY = g_Entity[e]['y'] - g_PlayerPosY;
 
 PlayerDZ = g_Entity[e]['z'] - g_PlayerPosZ;
 
 PlayerDist = math.sqrt(math.abs(PlayerDX*PlayerDX)+math.abs(PlayerDY*PlayerDY)+math.abs(PlayerDZ*PlayerDZ));
 
 if PlayerDist < 150 then
 
  Prompt("Press E to Enter The Infantry Power Suit  ")
 
  
 
 if g_KeyPressE == 1 and pressed == 0 then
 
  pressed = 1
 PlaySound(e,4)-- play engine startup sound
 
   SwitchScript ( e,"infantry_powersuit" )
   
   Hide(e)
   CollisionOff(e)
  end
   end 
    end 
 
 
 
 if g_KeyPressE == 0 then
 
  pressed = 0

 end --end of reset to input
 
 --end of main
 